Page MenuHomePhabricator

Add support for mobile to CodeEditor
Closed, ResolvedPublic

Description

Hi could so one add codes for touch screens from https://github.com/ajaxorg/ace/tree/touch_handler into ace.js because it does not work very well and that link has a branch called touch handler has not been updated since September 2013 but it has added someone touch screen compatibility please add the codes that it.


Version: unspecified
Severity: enhancement

Details

Reference
bz67328
Related Gerrit Patches:
mediawiki/extensions/CodeEditor : masterUpdate Ace to 29-10-2015

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:38 AM
bzimport added a project: CodeEditor.
bzimport set Reference to bz67328.
bzimport added a subscriber: Unknown Object (MLST).
Paladox created this task.Jun 30 2014, 8:45 PM

I don't see any file called "ace.js" somewhere in https://git.wikimedia.org/tree/mediawiki%2Fextensions%2FWikiEditor.git - if it exists, please provide a full path.

What does "it does not work very well" mean? Please don't be vague. See https://www.mediawiki.org/wiki/How_to_report_a_bug

(In reply to Andre Klapper from comment #1)

I don't see any file called "ace.js" somewhere in
https://git.wikimedia.org/tree/mediawiki%2Fextensions%2FWikiEditor.git - if
it exists, please provide a full path.

This is the CodeEditor extension...

Urgh. I'm stupid and need more coffee. Thanks. :(

Ace code editor does not work well on mobiles.

TheDJ added a subscriber: TheDJ.
Jdlrobson renamed this task from Add support for mobile to Add support for mobile to CodeEditor.Mar 16 2015, 11:02 PM
Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.

Change 254155 had a related patch set uploaded (by Paladox):
Update Ace to 29-10-2015

https://gerrit.wikimedia.org/r/254155

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2015, 7:32 PM

Change 254155 merged by jenkins-bot:
Update Ace to 29-10-2015

https://gerrit.wikimedia.org/r/254155

Paladox closed this task as Resolved.Nov 19 2015, 9:38 PM
Paladox claimed this task.

Mobile is now supported.

Paladox removed a subscriber: gerritbot.